View Issue Details

IDProjectCategoryView StatusLast Update
0036162LazarusIDEpublic2019-10-11 13:54
ReporterAlexey Tor.Assigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformWin10OSOS Version
Product Version2.1 (SVN)Product Build62018 
Target VersionFixed in Version 
Summary0036162: IDE cannot compile on older FPC 3.3 build
Descriptionfunction TFppkgHelper.GetConfigurationFileName: string;
begin
  Result := '';
  {$IF FPC_FULLVERSION>30200}
  if Assigned(FFPpkg) then
    Result:=FFPpkg.ConfigurationFilename;
  {$ENDIF}
end;

fppkghelper.pas(524,20) Error: Identifier idents no member "ConfigurationFilename"

so $IF checking is wrong.
C:\fpcupdeluxe\fpc\bin\i386-win32>fpc|more
Free Pascal Compiler version 3.3.1-r41371 [2019/02/18] for i386
Copyright (c) 1993-2018 by Florian Klaempfl and others
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

Juha Manninen

2019-10-10 18:09

developer   ~0118470

What means "older FPC 3.3 build"?

Mattias Gaertner

2019-10-10 19:05

manager   ~0118473

Last edited: 2019-10-10 23:17

View 2 revisions

Lazarus supports only a recent version of FPC trunk. 2019/02/18 is too old.

Alexey Tor.

2019-10-10 20:44

reporter   ~0118478

So you can close it, seems.

Juha Manninen

2019-10-10 21:33

developer   ~0118480

Alexey, please ask advice in forum or mailing list instead of opening this kind of reports.
Resolving.

Issue History

Date Modified Username Field Change
2019-10-10 17:51 Alexey Tor. New Issue
2019-10-10 18:09 Juha Manninen Note Added: 0118470
2019-10-10 19:05 Mattias Gaertner Note Added: 0118473
2019-10-10 20:44 Alexey Tor. Note Added: 0118478
2019-10-10 21:33 Juha Manninen Assigned To => Juha Manninen
2019-10-10 21:33 Juha Manninen Status new => resolved
2019-10-10 21:33 Juha Manninen Resolution open => no change required
2019-10-10 21:33 Juha Manninen LazTarget => -
2019-10-10 21:33 Juha Manninen Note Added: 0118480
2019-10-10 23:17 Mattias Gaertner Note Edited: 0118473 View Revisions
2019-10-11 13:54 Alexey Tor. Status resolved => closed